com.mysql.cj.util

## Class DataTypeUtil

- java.lang.Object
- - com.mysql.cj.util.DataTypeUtil

    public class DataTypeUtil
    extends Object

Utilities to manipulate internal data type formats.

### Constructor Summary

Constructors
`DataTypeUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static long` `bitToLong(byte[] bytes, int offset, int length)` Interpret a BIT value as a long.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataTypeUtil

    public DataTypeUtil()

### Method Detail

#### bitToLong

    public static long bitToLong(byte[] bytes,
                                 int offset,
                                 int length)

Interpret a BIT value as a long.

Parameters:
  `bytes` - byte buffer
  `offset` - offset in buffer
  `length` - number of bytes to use
Returns:
  long value

Copyright © 2016, 2025, Oracle and/or its affiliates.